## scribus-ng 1.5.3+dfsg

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.8.9 for Qt5
#Require 3.1.0 for Qt 5.7 C++ 11 easy support
#Require 3.2.0 for add_custom_target with byproducts
cmake_minimum_required(VERSION 3.2.0 FATAL_ERROR)


# Configure CCache if available and wanted
if (WANT_CCACHE)
    find_program(CCACHE_FOUND ccache)
	if(CCACHE_FOUND)
		message(STATUS "Enabling ccache")
		set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
		set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
	endif()
endif()

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Don't force verbose
set(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
#Don't allow in source builds
#set(CMAKE_DISABLE_SOURCE_CHANGES ON)
#set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)


#RPATH setup - more below too
if (WANT_NORPATH OR WANT_DISTROBUILD)
	set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
else()
	set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif()
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
set(CMAKE_SKIP_BUILD_RPATH TRUE)

include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckTypeSize)
include(TestBigEndian)
include(GNUInstallDirs)
#include(FeatureSummary)

#enable_testing()

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########
message(STATUS "Shared Library Flags: ${CMAKE_SHARED_LIBRARY_C_FLAGS}")

#Project Setup
project(scribus)
#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
set (VERSION_MAJOR "1")
set (VERSION_MINOR "5")
set (VERSION_PATCH "3")
set (VERSION_SUFFIX "")
set (VERSION ${VERSION_MAJOR})
if (VERSION_MINOR GREATER -1)
	set (VERSION ${VERSION}.${VERSION_MINOR})
endif()
if (VERSION_PATCH GREATER -1)
	set (VERSION ${VERSION}.${VERSION_PATCH})
endif()
if (VERSION_SUFFIX)
	set (VERSION ${VERSION}.${VERSION_SUFFIX})
endif()
message(STATUS "Scribus ${VERSION} will be built and installed into ${CMAKE_INSTALL_PREFIX}")

#Set the permissions to be used when installing plugins
set(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
set(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

execute_process(
	COMMAND ${CMAKE_C_COMPILER} -dumpmachine
	OUTPUT_VARIABLE MACHINE
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

## Find out what machine/cpu we are running on
message(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
string(REGEX MATCH "(i[0-9]86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
if (_machine_x86)
	message(STATUS "Found target X86")
	set(ARCH_X86 1)
endif()

string(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
if (_machine_x86_64)
	message(STATUS "Found target X86_64")
	set(ARCH_X86_64 1)
endif()

string(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
if (_machine_sparc_64)
	message(STATUS "Found target SPARC 64")
	set(ARCH_SPARC_64 1)
endif()

string(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
if (_machine_mips_64)
	message(STATUS "Found target MIPS 64")
	set(ARCH_MIPS_64 1)
endif()

string(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
if (_machine_ppc)
	message(STATUS "Found target PPC")
	set(ARCH_PPC 1)
endif()

string(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
if (_machine_ppc_64)
	message(STATUS "Found target PPC64")
	set(ARCH_PPC_64 1)
endif()

string(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
if (_machine_sparc)
	message(STATUS "Found target Sparc")
	set(ARCH_SPARC 1)
endif()

string(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
if (_machine_sparcv9)
	message(STATUS "Found target Sparc v9")
	set(ARCH_SPARCV9 1)
endif()

string(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
if (_machine_sparc64)
	message(STATUS "Found target Sparc64")
	set(ARCH_SPARC64 1)
	set(ARCH64BIT 1)
endif()

string(REGEX MATCH "(hppa*)" _machine_hppa "${MACHINE}")
if (_machine_hppa)
	message(STATUS "Found target Hppa")
	set(ARCH_HPPA 1)
endif()

# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133

if (ARCH_X86_64 EQUAL 1 OR ARCH_HPPA EQUAL 1 OR ARCH_MIPS EQUAL 1 OR ARCH_MIPS_64 EQUAL 1 OR ARCH_PPC_64 EQUAL 1)
	set(CMAKE_CXX_FLAGS_FPIC "-fPIC")
endif()

## Do our Apple OSX version setup
if (APPLE AND CMAKE_SIZEOF_VOID_P EQUAL 8 AND (ARCH_X86 EQUAL 1 OR ARCH_X86_64 EQUAL 1))
	string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
	if (_apple_ver EQUAL "16")
	    message(STATUS "Found macOS Sierra Target: Apple, 64 bit, X86")
		set(APPLE_10_12_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "15")
		message(STATUS "Found OSX El Capitan Target: Apple, 64 bit, X86")
		set(APPLE_10_11_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "14")
		message(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
		set(APPLE_10_10_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "13")
		message(STATUS "Found OSX Mavericks Target: Apple, 64 bit, X86")
		set(APPLE_10_9_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "12")
		message(STATUS "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
		set(APPLE_10_8_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "11")
		message(STATUS "Found OSX Lion Target: Apple, 64 bit, X86")
		set(APPLE_10_7_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "10")
		message(STATUS "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
		set(APPLE_10_6_X 1 CACHE TYPE BOOL)
	endif()
	if (_apple_ver EQUAL "9")
		message(STATUS "Found OSX Leopard Target: Apple, 32 bit, X86")
		set(APPLE_10_5_X 1 CACHE TYPE BOOL)
	endif()
	unset(ARCH_X86)
endif()


#convert any 64 bit build into generic 64 tag for below
if (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64)
	set(ARCH64BIT 1)
endif()

message(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
if (NOT BUILD_OSX_BUNDLE)
	set(BUILD_OSX_BUNDLE ${APPLE} CACHE TYPE BOOL)
endif()

#Simplify future conditionals for Apple
if (APPLE AND BUILD_OSX_BUNDLE)
	set(APPLEBUNDLE TRUE CACHE TYPE BOOL)
endif()

#Announce we cached a version request before, overridden below for OSX
if(TAG_VERSION)
	if (NOT APPLEBUNDLE)
		message(STATUS "Previously selected version tag: ${TAG_VERSION}")
	endif()
	set(WANT_VERSIONING 1)
	set(CACHED_VERSIONING 1)
endif()

#Remove version tags on OSX so our bundle is Scribus.app
if (APPLEBUNDLE OR WIN32)
	if (WANT_VERSIONING OR CACHED_VERSIONING)
		message(STATUS "Ignoring version tag on Win32 or OSX when building bundle")
		set(WANT_VERSIONING 0)
		set(CACHED_VERSIONING 0)
	endif()
endif()

#Store our version string if required
if (WANT_VERSIONING AND NOT CACHED_VERSIONING)
	if (NOT CUSTOM_VERSIONTAG)
		set(TAG_VERSION "-${VERSION}" CACHE TYPE STRING)
	else()
		set(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE TYPE STRING)
	endif()
endif()

##############################################################################################################
########## Install/Directory Setup                                                                  ##########

if (APPLEBUNDLE)
set (APPLE_APP_DIR "${CMAKE_INSTALL_PREFIX}")
	if ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/Contents/?$")
		# all ok
	else()
		if ("${CMAKE_INSTALL_PREFIX}" MATCHES "[.]app/?$")
			# add "/Contents" subpath
			set(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Contents")
		else()
			# no bundle name spcified, use appname and version
			set(CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/Scribus${VERSION}.app/Contents")
		endif()
	endif()
	message(STATUS "APPLEBUNDLE install prefix: ${APPLE_APP_DIR}")
endif()


#Setup all the directories we will use
cmake_policy(SET CMP0005 OLD)
#SHARE
if(WANT_VERSIONING)
	set(SHAREDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/")
else()
	set(SHAREDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}/")
endif()
if(NOT IS_ABSOLUTE ${SHAREDIR})
	add_definitions("-DSHAREDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SHAREDIR}\\\"")
else()
	add_definitions("-DSHAREDIR=\\\"${SHAREDIR}\\\"")
endif()

#SHARE - use the default on Apple as TAG_VERSION is empty
if(WIN32 OR OS2)
	set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/")
else()
	if(TAG_VERSION OR BUILD_OSX_BUNDLE)
		set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
	else()
		if(NOT WANT_VERSIONING)
			set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}/")
		else()
			set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}-${VERSION}/")
		endif()
	endif()
endif()
if(NOT IS_ABSOLUTE ${DOCDIR})
	add_definitions("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")
else()
	add_definitions("-DDOCDIR=\\\"${DOCDIR}\\\"")
endif()

#ICONS
if(WIN32)
	set(ICONDIR "${CMAKE_INSTALL_DATAROOTDIR}/icons/")
else()
	set(ICONDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/icons/")
endif()
if(NOT IS_ABSOLUTE ${ICONDIR})
	add_definitions("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")
else()
	add_definitions("-DICONDIR=\\\"${ICONDIR}\\\"")
endif()

#SAMPLES
set(SAMPLESDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/samples/")
if(NOT IS_ABSOLUTE ${SAMPLESDIR})
	add_definitions("-DSAMPLESDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SAMPLESDIR}\\\"")
else()
	add_definitions("-DSAMPLESDIR=\\\"${SAMPLESDIR}\\\"")
endif()

#SCRIPTS
set(SCRIPTSDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/scripts/")
if(NOT IS_ABSOLUTE ${SCRIPTSDIR})
	add_definitions("-DSCRIPTSDIR=\\\"${CMAKE_INSTALL_PREFIX}/${SCRIPTSDIR}\\\"")
else()
	add_definitions("-DSCRIPTSDIR=\\\"${SCRIPTSDIR}\\\"")
endif()

#TEMPLATES
if(WIN32)
	set(TEMPLATEDIR "${CMAKE_INSTALL_DATAROOTDIR}/templates/")
else()
	set(TEMPLATEDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/templates/")
endif()
if(NOT IS_ABSOLUTE ${TEMPLATEDIR})
	add_definitions("-DTEMPLATEDIR=\\\"${CMAKE_INSTALL_PREFIX}/${TEMPLATEDIR}\\\"")
else()
	add_definitions("-DTEMPLATEDIR=\\\"${TEMPLATEDIR}\\\"")
endif()

#QML
if(WIN32)
	set(QMLDIR "${CMAKE_INSTALL_DATAROOTDIR}/qml/")
else()
	set(QMLDIR "${CMAKE_INSTALL_DATAROOTDIR}/${MAIN_DIR_NAME}${TAG_VERSION}/qml/")
endif()
add_definitions("-DQMLDIR=\\\"${CMAKE_INSTALL_PREFIX}/${QMLDIR}\\\"")

#DESKTOP
set(DESKTOPDIR "${CMAKE_INSTALL_DATAROOTDIR}/applications/")
if(NOT IS_ABSOLUTE ${DESKTOPDIR})
	add_definitions("-DDESKTOPDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DESKTOPDIR}\\\"")
else()
	add_definitions("-DDESKTOPDIR=\\\"${DESKTOPDIR}\\\"")
endif()

#APPDATA

set(APPDATADIR "${CMAKE_INSTALL_DATAROOTDIR}/metainfo/")
if(NOT IS_ABSOLUTE ${APPDATADIRR})
    add_definitions("-DAPPDATADIR=\\\"${CMAKE_INSTALL_PREFIX}/${APPDATADIR}\\\"")
else()
    add_definitions("-DAPPDATADIR=\\\"${APPDATADIR}\\\"")
endif()


# APPLICATION_DATA_DIR

=== scribus/CMakeLists.txt ===
#For those that want it, show the SVN version in the About dialog
if (WANT_SVNVERSION)
	add_definitions(-DHAVE_SVNVERSION)
	message(STATUS "SVN Version requested in About dialog")
	# a custom target that is always built

	if (NOT CMAKE_VERSION VERSION_LESS "3.2.0")
	add_custom_target(svnheader ALL COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h)

	else ()
	add_custom_target(svnheader ALL DEPENDS svn_header ) # svn_header is nothing more than a unique string

	# creates svnheader.h using cmake script
	add_custom_command(OUTPUT svn_header ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake)

	set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		PROPERTIES GENERATED TRUE
		HEADER_FILE_ONLY TRUE)
	endif ()
endif ()

if(WIN32)
	add_definitions(-DQT_DLL)
endif()

add_subdirectory(dtd)
add_subdirectory(colormgmt)
add_subdirectory(desaxe)
add_subdirectory(fonts)
add_subdirectory(styles)
add_subdirectory(text)
add_subdirectory(ui/qml)
if(WITH_TESTS)
	add_subdirectory(tests)
endif()
add_subdirectory(unicodemap)
if (WANT_DESIGNER)
	add_subdirectory(designer)
endif ()
add_subdirectory(third_party)

if(HAVE_OSG)
	set(SCRIBUS_OSG_UI_SRC
		ui/osgeditor.ui
	)
	set(SCRIBUS_OSG_CLASS
		ui/AdapterWidget.h
		ui/osgeditor.h
		pageitem_osgframe.h
	)
	set(SCRIBUS_OSG_SRC
		ui/AdapterWidget.cpp
		ui/osgeditor.cpp
		pageitem_osgframe.cpp
	)
endif ()

if (GMAGICK_FOUND)
	set(SCRIBUS_GMAGICK_SRC imagedataloaders/scimgdataloader_gmagick.cpp)
else()
	set(SCRIBUS_GMAGICK_SRC)
endif()

# We setup something like a group to gather setter related stuff
# because it could expand into a huge amount of files at some point.
set(SCRIBUS_ITEMSETTERS_UI_SRC
	ui/positionsetter.ui
	ui/rotationsetter.ui
)

set(SCRIBUS_ITEMSETTERS_CLASS
	openpalettemanager.h
	openpalettemodel.h
	pageitemsettersmanager.h
	ui/openpalette.h
	ui/openpaletteview.h
	ui/pageitempositionsetter.h
	ui/pageitemrotationsetter.h
)

set(SCRIBUS_ITEMSETTERS_SRC
	openpalettemanager.cpp
	openpalettemodel.cpp
	pageitemsettersmanager.cpp
	ui/openpalette.cpp
	ui/openpaletteview.cpp
	ui/pageitemsetterbase.cpp
	ui/pageitempositionsetter.cpp
	ui/pageitemrotationsetter.cpp
)

set(SCRIBUS_UI_SRC
	ui/aboutplugins.ui
	ui/aligndistribute.ui
	ui/annot.ui
	ui/arcvectorbase.ui
	ui/arcwidgetbase.ui
	ui/charselect.ui
	ui/charselectenhanced.ui
	ui/cmsprefsbase.ui
	ui/cmykfwbase.ui
	ui/colorpalette.ui
	ui/colorsandfillsbase.ui
	ui/downloadspalettebase.ui
	ui/gradientaddedit.ui
	ui/gradienteditor.ui
	ui/gradientvectorbase.ui
	ui/gtfiledialog.ui
	ui/guidemanager.ui
	ui/insertaframe.ui
	ui/inserttablecolumnsdialog.ui
	ui/inserttablerowsdialog.ui
	ui/latexeditor.ui
	ui/newmarginwidgetbase.ui
	ui/mark2item.ui
	ui/mark2mark.ui
	ui/markanchor.ui
	ui/marknote.ui
	ui/marksmanager.ui
	ui/markvariabletext.ui
	ui/measurementsbase.ui
	ui/multipleduplicate.ui
	ui/multiprogressdialog.ui
	ui/nftdialog.ui
	ui/nftwidget.ui
	ui/notesstyleseditor.ui
	ui/pageitemattributes.ui
	ui/pagepalette_pagesbase.ui
	ui/pagepalette_masterpagesbase.ui
	ui/picsearch.ui
	ui/picsearchoptions.ui
	ui/picstatus.ui
	ui/pluginmanagerprefsgui.ui
	ui/polygonwidgetbase.ui
	ui/preferencesdialogbase.ui
	ui/prefs_colormanagementbase.ui
	ui/prefs_displaybase.ui
	ui/prefs_documentinformationbase.ui
	ui/prefs_documentsectionsbase.ui
	ui/prefs_documentsetupbase.ui
	ui/prefs_externaltoolsbase.ui
	ui/prefs_fontsbase.ui
	ui/prefs_guidesbase.ui
	ui/prefs_hyphenatorbase.ui
	ui/prefs_imagecachebase.ui
	ui/prefs_keyboardshortcutsbase.ui
	ui/prefs_miscellaneousbase.ui
	ui/prefs_pathsbase.ui
	ui/prefs_pagesizesbase.ui
	ui/prefs_pluginsbase.ui
	ui/prefs_preflightverifierbase.ui
	ui/prefs_printerbase.ui
	ui/prefs_scrapbookbase.ui
	ui/prefs_spellingbase.ui
	ui/prefs_typographybase.ui
	ui/prefs_userinterfacebase.ui
	ui/prefs_itemtoolsbase.ui
	ui/prefs_operatortoolsbase.ui
	ui/prefs_pdfexportbase.ui
	ui/prefs_tableofcontentsbase.ui
	ui/prefs_documentitemattributesbase.ui
	ui/printdialogbase.ui
	ui/propertiespalette_groupbase.ui
	ui/propertiespalette_imagebase.ui
	ui/propertiespalette_linebase.ui
	ui/propertiespalette_shapebase.ui
	ui/propertiespalette_tablebase.ui
	ui/propertiespalette_textbase.ui
	ui/propertiespalette_xyzbase.ui
	ui/propertywidget_advancedbase.ui
	ui/propertywidget_distancebase.ui
	ui/propertywidget_pareffectbase.ui
	ui/propertywidget_flopbase.ui
	ui/propertywidget_fontfeaturesbase.ui
	ui/propertywidget_hyphenationbase.ui
	ui/propertywidget_optmarginsbase.ui
	ui/propertywidget_orphansbase.ui
	ui/propertywidget_pathtextbase.ui
	ui/propertywidget_textcolorbase.ui
	ui/recoverdialog.ui
	ui/replacecolors.ui
	ui/replaceonecolor.ui
	ui/resourcemanagerbase.ui
	ui/resourcemanagerlicensebase.ui
	ui/selectobjects.ui
	ui/shortcutwidget.ui
	ui/smcellstylewidget.ui
	ui/smcstylewidget.ui
	ui/smfontfeaturesbase.ui
	ui/smlinestylewidget.ui
	ui/smtablestylewidget.ui
	ui/smpstylewidget.ui
	ui/smreplacedia.ui
	ui/smstyleimport.ui
	ui/spiralvectorbase.ui
	ui/spiralwidgetbase.ui
	ui/stylemanager.ui
	ui/tablecolumnwidthsdialog.ui
	ui/tablerowheightsdialog.ui
	ui/tabpdfoptions.ui
	ui/transformdialogbase.ui
	ui/transparencypalette.ui
	ui/copypagetomasterpage.ui
	ui/createrange.ui
	ui/helpbrowser.ui
	ui/helpbrowsernavigation.ui
	ui/unicodesearch.ui
	ui/useprintermarginsdialog.ui
	ui/weldeditbase.ui
#	#{SCRIBUS_ITEMSETTERS_UI_SRC}
	${SCRIBUS_OSG_UI_SRC}
)

set(SCRIBUS_MOC_CLASSES
	actionmanager.h
	appmodehelper.h
	canvas.h
	canvasgesture.h
	canvasgesture_cellselect.h
	canvasgesture_columnresize.h
	canvasgesture_rowresize.h
	canvasgesture_rulermove.h
	canvasgesture_table.h
	canvasgesture_tableresize.h
	canvasmode.h
	canvasmode_create.h
	canvasmode_edit.h
	canvasmode_editarc.h
	canvasmode_editpolygon.h
	canvasmode_editspiral.h
	canvasmode_edittable.h
	canvasmode_editweldpoint.h
	canvasmode_eyedropper.h
	canvasmode_framelinks.h
	canvasmode_imageimport.h
	canvasmode_measurements.h
	canvasmode_normal.h
	canvasmode_objimport.h
	chartablemodel.h
	chartableview.h
	collect4output.h
	colorblind.h
	commonstrings.h
	deferredtask.h
	docinfo.h
	downloadmanager/scdlmgr.h
	downloadmanager/scdlthread.h
	fileloader.h
	filesearch.h
	filewatcher.h
	fontlistmodel.h
	guidesdelegate.h
	guidesmodel.h
	guidesview.h
	hyphenator.h
	iconmanager.h
	latexhelpers.h
	loadsaveplugin.h
	menumanager.h
	navigator.h
	notesstyles.h
	observable.h
	pageitem.h
	pageitem_arc.h
	pageitem_group.h
	pageitem_imageframe.h
	pageitem_latexframe.h
	pageitem_line.h
	pageitem_pathtext.h
	pageitem_polygon.h
	pageitem_polyline.h
	pageitem_regularpolygon.h
	pageitem_spiral.h
	pageitem_symbol.h
	pageitem_table.h
	pageitem_textframe.h
	pageitem_noteframe.h
	pageitempointer.h
	pdf_analyzer.h
	pdflib.h
	pdflib_core.h
	pluginmanager.h
	pp_proxy.h
	prefsmanager.h
	pslib.h
	qtiocompressor.h
	sampleitem.h
	scgtplugin.h
	schelptreemodel.h
	scimagecachedir.h
	scimagecachefile.h
	scimagecachemanager.h
	scmimedata.h
	scplugin.h
	scprintengine.h
	scraction.h
	scribus.h
	scribusapp.h
	scribuscore.h
	scribusdoc.h
	scribusview.h
	scribuswin.h
	selection.h
	selectionrubberband.h
	styleitem.h
	tocgenerator.h
	undogui.h
	undomanager.h
	upgradechecker.h
	urllauncher.h
	ui/about.h
	ui/aboutplugins.h
	ui/adjustcmsdialog.h
	ui/aligndistribute.h
	ui/alignselect.h
	ui/directionselect.h
	ui/annot.h
	ui/annota.h
	ui/applytemplatedialog.h
	ui/arcwidget.h
	ui/arcvectordialog.h
	ui/arrowchooser.h
	ui/autoform.h
	ui/autoformbuttongroup.h
	ui/basepointwidget.h
	ui/bookmarkpalette.h
	ui/bookmwin.h
	ui/buttonicon.h
	ui/charselect.h
	ui/charselectenhanced.h
	ui/charzoom.h
	ui/checkDocument.h
	ui/clockwidget.h
	ui/cmsprefs.h
	ui/cmykfw.h
	ui/collectforoutput_ui.h
	ui/colorchart.h
	ui/colorcombo.h
	ui/colorlistbox.h
	ui/colorlistmodel.h
	ui/colorsandfills.h
	ui/contextmenu.h
	ui/cpalette.h
	ui/cupsoptions.h
	ui/curvewidget.h
	ui/customfdialog.h
	ui/dasheditor.h
	ui/dcolor.h
	ui/delpages.h
	ui/downloadspalette.h
	ui/editor.h
	ui/effectsdialog.h
	ui/extimageprops.h
	ui/filedialogeventcatcher.h
	ui/fontcombo.h
	ui/fontlistview.h
	ui/fontreplacedialog.h
	ui/gradientaddedit.h
	ui/gradienteditor.h
	ui/gradientvectordialog.h
	ui/gradientpreview.h
	ui/gtdialogs.h
	ui/gtfiledialog.h
	ui/guidemanager.h
	ui/helpbrowser.h
	ui/helpnavigation.h
	ui/hruler.h
	ui/hyask.h
	ui/imageinfodialog.h
	ui/inlinepalette.h
	ui/insertTable.h
	ui/insertaframe.h
	ui/inserttablecolumnsdialog.h
	ui/inserttablerowsdialog.h
	ui/inspage.h
	ui/javadocs.h
	ui/latexeditor.h
	ui/layers.h
	ui/linecombo.h
	ui/linkbutton.h
	ui/loremipsum.h
	ui/markinsert.h
	ui/mark2item.h
	ui/mark2mark.h
	ui/markanchor.h
	ui/marknote.h
	ui/marksmanager.h
	ui/markvariabletext.h
	ui/marginpresetlayout.h
	ui/marginwidget.h
	ui/newmarginwidget.h
	ui/measurements.h
	ui/mergedoc.h
	ui/missing.h
	ui/movepage.h
	ui/multipleduplicate.h
	ui/multiprogressdialog.h
	ui/newfile.h
	ui/newtemp.h
	ui/nftdialog.h
	ui/nftwidget.h
	ui/nodeeditpalette.h
	ui/notesstyleseditor.h
	ui/oneclick.h
	ui/outlinepalette.h
	ui/pageitemattributes.h
	ui/pagelayout.h
	ui/pagepalette.h
	ui/pagepalette_pages.h
	ui/pagepalette_masterpages.h
	ui/pagepalette_widgets.h
	ui/pagepropertiesdialog.h
	ui/pageselector.h
	ui/patternpropsdialog.h
	ui/pdfexportdialog.h
	ui/picsearch.h
	ui/picsearchoptions.h
	ui/picstatus.h
	ui/pluginmanagerprefsgui.h
	ui/polygonwidget.h
	ui/polyprops.h
	ui/preferencesdialog.h
	ui/prefs_colormanagement.h
	ui/prefs_display.h
	ui/prefs_documentinformation.h
	ui/prefs_documentsections.h
	ui/prefs_documentsetup.h
	ui/prefs_externaltools.h
	ui/prefs_fonts.h
	ui/prefs_guides.h
	ui/prefs_hyphenator.h
	ui/prefs_imagecache.h
	ui/prefs_keyboardshortcuts.h
	ui/prefs_miscellaneous.h
	ui/prefs_pagesizes.h
	ui/prefs_paths.h
	ui/prefs_pane.h
	ui/prefs_plugins.h
	ui/prefs_preflightverifier.h
	ui/prefs_printer.h
	ui/prefs_scrapbook.h
	ui/prefs_spelling.h
	ui/prefs_typography.h
	ui/prefs_userinterface.h
	ui/prefs_itemtools.h
	ui/prefs_operatortools.h
	ui/prefs_pdfexport.h
	ui/prefs_tableofcontents.h
	ui/prefs_documentitemattributes.h
	ui/prefspanel.h
	ui/preview.h
	ui/printdialog.h
	ui/propertiespalette.h
	ui/propertiespalette_group.h
	ui/propertiespalette_image.h
	ui/propertiespalette_line.h
	ui/propertiespalette_shadow.h
	ui/propertiespalette_shape.h
	ui/propertiespalette_table.h
	ui/propertiespalette_text.h
	ui/propertiespalette_utils.h
	ui/propertiespalette_xyz.h
	ui/propertywidget_advanced.h
	ui/propertywidget_distance.h
	ui/propertywidget_pareffect.h
	ui/propertywidget_flop.h
	ui/propertywidget_hyphenation.h
	ui/propertywidget_optmargins.h
	ui/propertywidget_orphans.h
	ui/propertywidget_pathtext.h
	ui/propertywidget_textcolor.h
	ui/propertywidget_fontfeatures.h
	ui/proptree.h
	ui/query.h
	ui/recoverdialog.h
	ui/replacecolors.h
	ui/replaceonecolor.h
	ui/resourcemanager.h
	ui/resourcemanagerlicense.h
	ui/rulermover.h
	ui/sccolorslider.h
	ui/sccombobox.h
	ui/scdockpalette.h
	ui/scescapecatcher.h
	ui/scfilewidget.h
	ui/scinputdialog.h
	ui/sclistwidgetdelegate.h
	ui/scmenu.h
	ui/scmessagebox.h
	ui/scmwmenumanager.h
	ui/scrapbookpalette.h
	ui/scrpalettebase.h
	ui/scrspinbox.h
	ui/sctablewidget.h
	ui/sctextbrowser.h
	ui/sctoolbar.h
	ui/sctreewidget.h
	ui/search.h
	ui/selectobjects.h
	ui/selfield.h
	ui/shadebutton.h
	ui/shortcutwidget.h
	ui/smalignselect.h
	ui/smcellstylewidget.h
	ui/smcellstyle.h
	ui/smcheckbox.h
	ui/smcolorcombo.h
	ui/smcstylewidget.h
	ui/smdirectionselect.h
	ui/smfontfeatures.h
	ui/smtablestylewidget.h
	ui/smfontcomboh.h
	ui/smlinestyle.h
	ui/smlinestylewidget.h
	ui/smpstylewidget.h
	ui/smradiobutton.h
	ui/smreplacedia.h
	ui/smsccombobox.h
	ui/smscrspinbox.h
	ui/smshadebutton.h
	ui/smspinbox.h
	ui/smlineedit.h
	ui/smstyleimport.h
	ui/smstyleselect.h
	ui/smtablestyle.h
	ui/smtabruler.h
	ui/smtextstyles.h
	ui/spalette.h
	ui/spiralvectordialog.h
	ui/spiralwidget.h
	ui/splash.h
	ui/storyeditor.h
	ui/stylemanager.h
	ui/styleselect.h
	ui/styleview.h
	ui/swatchcombo.h
	ui/symbolpalette.h

=== resources/swatches/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

file( GLOB GIMP_STYLE_PALETTES *.gpl )
file( GLOB XML_PALETTES *.xml )
file( GLOB EPS_PALETTES *.eps )
file( GLOB RTF_LICENSES *.rtf )
file( GLOB SBZ_PALETTES *.sbz )

#Avoid CMakeLists.txt
set(TXT_LICENSES "${CMAKE_CURRENT_SOURCE_DIR}/COPYING_RESENE.txt" "${CMAKE_CURRENT_SOURCE_DIR}/Japanese_Traditional_README.txt")

install(FILES ${GIMP_STYLE_PALETTES} ${XML_PALETTES} ${EPS_PALETTES} ${RTF_LICENSES} ${TXT_LICENSES} ${SBZ_PALETTES}
 DESTINATION ${SHAREDIR}swatches
)

=== scribus/colormgmt/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")

include_directories( ${LCMS2_INCLUDE_DIR} )
set(SCRIBUS_LCMS_IMPL_SOURCES
	sclcms2colormgmtengineimpl.cpp
	sclcms2colorprofileimpl.cpp
	sclcms2colortransformimpl.cpp
)

set(SCRIBUS_COLORMGMT_LIB_SOURCES
	sccolormgmtengine.cpp
	sccolormgmtenginedata.cpp
	sccolormgmtenginefactory.cpp
	sccolormgmtimplelem.cpp
	sccolormgmtstructs.cpp
	sccolorprofile.cpp
	sccolorprofilecache.cpp
	sccolorprofiledata.cpp
	sccolorspace.cpp
	sccolorspacedata.cpp
	sccolortransform.cpp
	sccolortransformpool.cpp
	${SCRIBUS_LCMS_IMPL_SOURCES}
)

set(SCRIBUS_COLORMGMT_LIB "scribus_colormgmt_lib")
add_library(${SCRIBUS_COLORMGMT_LIB} STATIC ${SCRIBUS_COLORMGMT_LIB_SOURCES})
# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_COLORMGMT_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== scribus/fonts/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
${FREETYPE_INCLUDE_DIRS}
${HARFBUZZ_INCLUDE_DIRS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")

set(SCRIBUS_FONTS_LIB_SOURCES
  scface.cpp
  ftface.cpp
  scface_ps.cpp
  cff.cpp
  sfnt.cpp
  scface_ttf.cpp
  scfontmetrics.cpp
)
set(SCRIBUS_FONTS_LIB "scribus_fonts_lib")
add_library(${SCRIBUS_FONTS_LIB} STATIC ${SCRIBUS_FONTS_LIB_SOURCES})
# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_FONTS_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== scribus/plugins/CMakeLists.txt ===
add_subdirectory(export)
add_subdirectory(import)
add_subdirectory(barcodegenerator)
add_subdirectory(colorwheel)
add_subdirectory(fileloader)
add_subdirectory(fontpreview)
add_subdirectory(gettext)
# add_subdirectory(newfromtemplateplugin)
add_subdirectory(saveastemplateplugin)
if(NOT WANT_SCRIPTER2)
  #scripter1
  if(NOT WIN32)
    message(STATUS "Building with Scripter 1")
    add_subdirectory(scriptplugin)
  endif()
else()
  #scripter2
  message(STATUS "Building with Scripter 2")
  add_subdirectory(scripter)
endif()
add_subdirectory(short-words)
add_subdirectory(tools)
add_subdirectory(picbrowser)
add_subdirectory(shapes)

# add_subdirectory(myplugin)

=== scribus/plugins/fileloader/CMakeLists.txt ===
#Subdirectories
add_subdirectory(scribus150format)
add_subdirectory(scribus134format)
add_subdirectory(scribus13format)
add_subdirectory(scribus12format)

=== scribus/plugins/import/CMakeLists.txt ===
add_subdirectory(ai)
add_subdirectory(cdr)
add_subdirectory(cgm)
add_subdirectory(cvg)
add_subdirectory(drw)
add_subdirectory(emf)
add_subdirectory(fh)
add_subdirectory(idml)
add_subdirectory(odg)
add_subdirectory(oodraw)
add_subdirectory(pages)
add_subdirectory(pct)
if(HAVE_POPPLER)
	add_subdirectory(pdf)
else()
	add_subdirectory(ps)
endif()
# add_subdirectory(pgs)
# add_subdirectory(ppp)
add_subdirectory(pm)
add_subdirectory(pub)
add_subdirectory(shape)
add_subdirectory(sml)
add_subdirectory(svg)
add_subdirectory(svm)
add_subdirectory(uniconvertor)
add_subdirectory(viva)
add_subdirectory(vsd)
add_subdirectory(wmf)
add_subdirectory(wpg)
add_subdirectory(xar)
add_subdirectory(xfig)
add_subdirectory(xps)

=== scribus/plugins/saveastemplateplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(SAVEASTEMPLATE_PLUGIN_UI_SRC
	satdialog.ui
)

set(SAVEASTEMPLATE_PLUGIN_MOC_CLASSES
	satdialog.h
	satemplate.h
)

set(SAVEASTEMPLATE_PLUGIN_SOURCES
	satdialog.cpp
	satemplate.cpp
)

set(SCRIBUS_SAVEASTEMPLATE_PLUGIN "saveastemplateplugin")

QT5_WRAP_UI(SAVEASTEMPLATE_PLUGIN_UI_SOURCES ${SAVEASTEMPLATE_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(SAVEASTEMPLATE_PLUGIN_MOC_SOURCES ${SAVEASTEMPLATE_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_SAVEASTEMPLATE_PLUGIN} MODULE ${SAVEASTEMPLATE_PLUGIN_SOURCES}
			${SAVEASTEMPLATE_PLUGIN_MOC_SOURCES} ${SAVEASTEMPLATE_PLUGIN_UI_SOURCES})

target_link_libraries(${SCRIBUS_SAVEASTEMPLATE_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_SAVEASTEMPLATE_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/scriptplugin/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${PYTHON_INCLUDE_PATH}
)

# Gentoo has an option for no examples. Let's make the ebuild simpler and open up the option to others, but leave as a default for us
if (NOT WANT_NOEXAMPLES)
	add_subdirectory(samples)
endif ()
add_subdirectory(scripts)

set(SCRIPTER_PLUGIN_UI_SRC
	pconsole.ui
	runscriptdialog.ui
	scripterprefsgui.ui
	prefs_scripterbase.ui
)

set(SCRIPTER_PLUGIN_MOC_CLASSES
	pconsole.h
	scriptplugin.h
	scriptercore.h
	scripterprefsgui.h
	runscriptdialog.h
	prefs_scripter.h
)

set(SCRIPTER_PLUGIN_SOURCES
	cmdcell.cpp
	cmdcolor.cpp
	cmddialog.cpp
	cmddoc.cpp
	cmdgetprop.cpp
	cmdgetsetprop.cpp
	cmdmani.cpp
	cmdmisc.cpp
	cmdobj.cpp
	cmdpage.cpp
	cmdsetprop.cpp
	cmdstyle.cpp
	cmdtable.cpp
	cmdtext.cpp
	cmdutil.cpp
	guiapp.cpp
	objimageexport.cpp
	objpdffile.cpp
	objprinter.cpp
	pconsole.cpp
	prefs_scripter.cpp
	runscriptdialog.cpp
	scriptercore.cpp
	scripterprefsgui.cpp
	scriptplugin.cpp
	svgimport.cpp
)

set(SCRIBUS_SCRIPTER_PLUGIN "scriptplugin")

QT5_WRAP_UI(SCRIPTER_PLUGIN_UI_SOURCES ${SCRIPTER_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(SCRIPTER_PLUGIN_MOC_SOURCES ${SCRIPTER_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_SCRIPTER_PLUGIN} MODULE 
	${SCRIPTER_PLUGIN_SOURCES}
	${SCRIPTER_PLUGIN_MOC_SOURCES}
	${SCRIPTER_PLUGIN_UI_SOURCES}
)

target_link_libraries(${SCRIBUS_SCRIPTER_PLUGIN}
	${PYTHON_LIBRARIES}
)

target_link_libraries(${SCRIBUS_SCRIPTER_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_SCRIPTER_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_SCRIPTER_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_SCRIPTER_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/import/cgm/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
)

set(IMPORTCGM_PLUGIN_MOC_CLASSES
	importcgm.h
	importcgmplugin.h
)

set(IMPORTCGM_PLUGIN_SOURCES
	importcgm.cpp
	importcgmplugin.cpp
)

set(SCRIBUS_IMPORTCGM_PLUGIN "importcgm")

QT5_WRAP_CPP(IMPORTCGM_PLUGIN_MOC_SOURCES ${IMPORTCGM_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_IMPORTCGM_PLUGIN} MODULE ${IMPORTCGM_PLUGIN_SOURCES} ${IMPORTCGM_PLUGIN_MOC_SOURCES})

target_link_libraries(${SCRIBUS_IMPORTCGM_PLUGIN} ${PLUGIN_LIBRARIES})

install(TARGETS ${SCRIBUS_IMPORTCGM_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_IMPORTCGM_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/plugins/import/pdf/CMakeLists.txt ===
include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/scribus
	${POPPLER_INCLUDE_DIR}
)


set(IMPORTPDF_PLUGIN_UI_SRC
	pdfimportoptions.ui
)

set(IMPORTPDF_PLUGIN_MOC_CLASSES
	importpdf.h
	importpdfplugin.h
	pdfimportoptions.h
)

set(IMPORTPDF_PLUGIN_SOURCES
	importpdf.cpp
	importpdfplugin.cpp
	pdfimportoptions.cpp
	slaoutput.cpp
)

if(HAVE_POPPLER)
	if(HAVE_LCMS1)
		add_definitions(-DUSE_CMS)
	endif()
	add_definitions(-DHAVE_FREETYPE_H)
endif()

set(SCRIBUS_IMPORTPDF_PLUGIN "importpdf")

QT5_WRAP_UI(IMPORTPDF_PLUGIN_UI_SOURCES ${IMPORTPDF_PLUGIN_UI_SRC} )
QT5_WRAP_CPP(IMPORTPDF_PLUGIN_MOC_SOURCES ${IMPORTPDF_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_IMPORTPDF_PLUGIN} MODULE ${IMPORTPDF_PLUGIN_SOURCES} ${IMPORTPDF_PLUGIN_MOC_SOURCES} ${IMPORTPDF_PLUGIN_UI_SOURCES})

link_directories( /usr/local/lib )
target_link_libraries(${SCRIBUS_IMPORTPDF_PLUGIN} ${PLUGIN_LIBRARIES} ${POPPLER_LIBRARY})

install(TARGETS ${SCRIBUS_IMPORTPDF_PLUGIN}
	LIBRARY
	DESTINATION ${PLUGINDIR}
	PERMISSIONS ${PLUGIN_PERMISSIONS}
)

add_dependencies(${SCRIBUS_IMPORTPDF_PLUGIN} ${EXE_NAME})

# set_target_properties(${SCRIBUS_FONTPREVIEW_PLUGIN} PROPERTIES VERSION "0.0.0")

=== debian/changelog ===
scribus-ng (1.5.3+dfsg-2) experimental; urgency=medium

  * d/control:
    + Add Build-Depends on libpoppler-cpp-dev.
    + Drop Recommends of scribus-ng from scribus-ng-data.
    + Bump Standards-Version to 4.1.2:
      - Change priority from extra (deprecated) to optional.
      -  Use HTTPS in d/copyright's Format field.
    + Declere that scribus-ng can be built without root: R³:no.
  * Add patch from upstream to fix FTBFS with poppler >= 0.58.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Dec 2017 00:56:26 +0100

scribus-ng (1.5.3+dfsg-1) experimental; urgency=medium

  * New upstream version 1.5.3+dfsg.  Closes: #863687
    https://wiki.scribus.net/canvas/1.5.3_Release
  * d/copyright:
    + Update list of excluded files.
    + Update copyright/license information.
  * d/patches:
    + Drop patches applied upstream.
    + Refresh patches.
    + findOpenSSL: add to fix build configuration with libpodofo >= 0.9.5.
  * d/control:
    + Add new build-dependency on libharfbuzz-dev.
    + Bump Standards-Version to 4.0.0, no changes needed.
  * d/rules: don't deal with files not shipped anymore.
  * d/scirbus-ng-data.install: don't install a file not shipped anymore.
  * d/upstream/signing-key.asc:
    + Refresh plinnell's key and add the new "Scribus Team" signing key.
  * d/scribus-ng.lintian-overrides: drop now seemingly unneeded overrides.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 05 Jun 2017 21:34:24 +0200

scribus-ng (1.5.2+dfsg-4) experimental; urgency=medium

  * d/copyright: bump the year for debian/*.
  * d/patches:
    + (finally) drop qreal_double patch: scribus-ng builds fine everywhere now.
    + fix_FTBFS_BE: mark as upstreamed.
    + install-icons.patch: new patch from upstream trunk, to install the high
      resolution icons.
  * d/scribus-ng.data: stop installing manually the icons, and let the build
    system do it.
  * d/rules: add comments link to the upstream bugs we are workarounding.
  * d/watch: fixup dversionmangle rule.
    While on it, rewrite it all using a more modern format with version=4.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 15 May 2017 14:17:47 +0200

scribus-ng (1.5.2+dfsg-3) experimental; urgency=medium

  * d/p/series: sort according to their upstream status.
  * d/patches:
    + New patches backported from upstream trunk:
      - appdatadir: update appstream file and install location
      - upstream_14256-14257: drops mimelnk file, improve .desktop file,
        install .desktop.  This obsoletes the patch 'desktop.patch' (removed).
      - dynamic-freedesktop: dynamically generate scribus.desktop and
        scribus.appdata.xml and name them after -DCUSTOM-VERSIONTAG.
      - name-manpages-after-versiontag: rename the manpages after
        -DCUSTOM_VERSIONTAG
    + New patch not yet upstreamed:
      - fix_FTBFS_BE: fix FTBFS on big endian architectures.  This requires a
        new build dependency on extra-cmake-modules.
    + New non-upstreamable patch:
      - ng.patch: name the program 'Scribus NG' in the .desktop file.
  * Do not Build-Depend on libopenscenegraph-dev on arm*, to work around
    FTBFS on those architectures.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 01 Mar 2017 20:51:59 +0100

scribus-ng (1.5.2+dfsg-2) experimental; urgency=medium

  * [4344537] Ship our own copy of the appstream metada, following the newer
    standard.  Thanks to Matthias Klumpp for the help.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 18 May 2016 19:26:37 +0000

scribus-ng (1.5.2+dfsg-1) experimental; urgency=medium

  * [ee3f360] Imported Upstream version 1.5.2+dfsg
    https://wiki.scribus.net/canvas/1.5.2_Release
  * [69d5c94] d/copyright: update
  * [dc73a1a] d/control: Bump Standards-Version to 3.9.8, no changes needed.
  * d/patches:
    + [2a444ba] refresh.
    + [151c664] system-hyphen: remove as applied upstream.
    + [48d83a0] qreal_double.patch: disable again.
  * [0adb7c9] d/rules,d/scribus-ng.install: also install the appdata file.
  * [feba8b7] d/scribus-ng-data.install: install the new highres icons.
  * [6353cc3] d/rules: stop installing that awful low res icon.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 17 May 2016 23:40:11 +0000

scribus-ng (1.5.1+dfsg-4) experimental; urgency=medium

  * [7c24df8] Revert change from the previous upload:
    "[c629407] qreal_double.patch: drop: looks like it builds anyway."
    It doesn't actually build.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 02 Apr 2016 14:51:36 +0000

scribus-ng (1.5.1+dfsg-3) experimental; urgency=medium

  * [8a35126] d/control: s/QT4/QT5/.
  * drop patches:
    + [c629407] qreal_double.patch: drop: looks like it builds anyway.
    + [35468d8] hyphen-used-as-minus-sign.patch: drop: we gave up on this issue.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 22 Mar 2016 16:28:21 +0000

scribus-ng (1.5.1+dfsg-2) experimental; urgency=medium

  * [124d1dc] debian/patches/system-hyphen: backport patch from upstream to
    use /usr/share/hyphen as a system place to look up hyphenation dictionaries.
  * [ad29d5e] debian/scribus-ng-data.links: remove compat symlink to the system
    hyphenation dictionaries.
  * debian/control:
    + [09ce733] wrap-and-sort accordig to my new preferences.
    + make this more similar to the main scribus package:
      - [0267e4a] move to priority:extra.
      - [e9636ff] add missing build-dependency on dh-python.
      - [f70194f] recommend hyphen-hyphenation-patterns and fonts-dejavu.
      - [b5a6588] suggest scribus-ng-doc.
    + [6ac409d] update build dependencies to be sure every optional feature is
                enabled and drop obsolate version restrictions.
    + [3e84a4d] build-depend on libfreehand-dev instead of libfreehand-0.1-1.
  * Changes done to have all 3 scribus packages (scribus and scribus-{ng,trunk})
    both in their debian version (with non-dfsg file stripped) and upstream
    build out of the same debian/ directory as much as possible:
    + [a99238d,79f3a04] debian/rules: add some noop code.


=== debian/control ===
Source: scribus-ng
Section: graphics
Priority: optional
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 cmake (>= 2.4.3),
 debhelper (>= 9),
 dh-exec,
 dh-python,
 extra-cmake-modules,
 gettext,
 libboost-python-dev,
 libcairo2-dev,
 libcdr-dev,
 libcups2-dev,
 libfreehand-dev,
 libgraphicsmagick++1-dev,
 libharfbuzz-dev,
 libhunspell-dev,
 libhyphen-dev,
 libicu-dev,
 liblcms2-dev,
 libmspub-dev,
 libopenscenegraph-dev [!armel !armhf !arm64],
 libpagemaker-dev,
 libpodofo-dev,
 libpoppler-cpp-dev,
 libpoppler-dev,
 libpoppler-private-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 librevenge-dev,
 libtiff-dev,
 libvisio-dev,
 libwpg-dev,
 libxml2-dev,
 python-all,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g-dev,
Standards-Version: 4.1.2
Rules-Requires-Root: no
Vcs-Git: https://anonscm.debian.org/git/collab-maint/scribus-ng.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/scribus-ng.git
Homepage: http://www.scribus.net

Package: scribus-ng
Architecture: any
Depends:
 ghostscript,
 python-tk,
 scribus-ng-data (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 cups-bsd,
 fonts-dejavu,
 fonts-liberation,
 hyphen-hyphenation-patterns,
 icc-profiles-free,
 xfonts-scalable | gsfonts-x11,
Suggests:
 icc-profiles,
 scribus-ng-doc,
 scribus-template,
 texlive-latex-recommended,
Description: Open Source Desktop Page Layout - 1.5.x branch
 This is the developmental branch of Scribus - the open source desktop page
 layout program. This package is intended for tracking fast-paced development
 of scribus to make new features available to those who need them. Do not use
 this package if stability is your main requirement or if you intend to return
 to the stable 1.4.x "scribus" package at some point as the file formats are
 incompatible. This package is only for people who need the cutting edge
 features and can handle crashes and data loss and submit bug reports.
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-ng-data
Architecture: all
Depends:
 python,
 python-tk,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 fonts-dejavu,
Description: Open Source Desktop Page Layout - data files - 1.5.x branch
 This is the developmental branch of Scribus - the open source desktop page
 layout program. This package is intended for tracking fast-paced development
 of scribus to make new features available to those who need them. Do not use
 this package if stability is your main requirement or if you intend to return
 to the stable 1.4.x "scribus" package at some point as the file formats are
 incompatible. This package is only for people who need the cutting edge
 features and can handle crashes and data loss and submit bug reports.
 .
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

t := -ng
p := scribus$t
export p

ifneq (,$t)
extraconf := \
	-DWANT_DEBUG:BOOL=1 \
	-DWANT_VERSIONING:BOOL=1 \
	-DCUSTOM_VERSIONTAG=$t
else
extraconf :=
endif

%:
	dh $@ --buildsystem=cmake --parallel --with python2

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_GRAPHICSMAGICK:BOOL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    $(extraconf)

override_dh_auto_install:
	dh_auto_install
ifneq (,$(findstring doc, $(shell grep -e '^Package: ' debian/control)))
	# move the docs somewhere else, so that I can then pick them up
	# do it only if we are building the -doc package from the same source.
	# This won't be the case for the official Debian package, as the
	# documentation is non-free and in a separate source package.
	mkdir -p $(CURDIR)/debian/tmp/doc
	mv -v $(CURDIR)/debian/tmp/usr/share/doc/$p/en \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/de \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/it \
	      $(CURDIR)/debian/tmp/doc
endif
	# remove pointless files
	# https://bugs.scribus.net/view.php?id=14711
	# https://bugs.scribus.net/view.php?id=14712
	rm -v $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLog \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/COPYING
	find $(CURDIR)/debian/tmp -type d -empty -print -delete
	# remove references to prorietary fonts and use free fonts in templates.
	# also remove references to Bitstream fonts, which are unmaintained, and
	# use DejaVu ones, instead
	# See https://bugs.debian.org/742003 and https://launchpad.net/bugs/1393349
	# https://bugs.scribus.net/view.php?id=14688
	# https://bugs.scribus.net/view.php?id=14689
	gunzip -v $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g' \
		-e 's/Bitstream Vera Sans Roman/DejaVu Sans Book/g' \
		-e 's/Bitstream Vera Sans Mono Roman/DejaVu Sans Mono Book/g' \
		-e 's/Bitstream Vera Serif Roman/DejaVu Serif Book/g' \
		-e 's/Bitstream Vera Serif/DejaVu Serif/g' \
		-e 's/Bitstream Vera Sans/DejaVu Sans/g' \
		-e 's/Bitstream Vera Mono/DejaVu Mono/g'
	gzip -v -n -8 $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla

override_dh_install:
	dh_install --fail-missing

override_dh_fixperms:
	# the plugins (which are the only .so files here) needs to be +x.
	# let the scribus installer take care of them
	dh_fixperms -X .so

override_dh_python2:
	dh_python2 /usr/share/$p/samples/
	dh_python2 /usr/share/$p/scripts/

# scribus expects the {docdir}/{lang}/menu.xml being present and uncompressed,
# otherwise you'll get no docs.
override_dh_compress:
	dh_compress -X usr/share/doc/$p/de \
				-X usr/share/doc/$p/en \
				-X usr/share/doc/$p/it

=== debian/watch ===
version=4

opts="\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpmode=auto,\
" \
http://sf.net/scribus/scribus-@ANY_VERSION@@ARCHIVE_EXT@
